Bug 426807 - Crash on Big Endian
Crash on Big Endian
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qlandkarte (Show other bugs)
8
powerpc Linux
low Severity urgent
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 12:44 EST by Albrecht Dreß
Modified: 2008-02-28 16:44 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.7.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 16:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albrecht Dreß 2007-12-26 12:44:32 EST
Description of problem:
Crash when opening a Garmin IMG file.

Version-Release number of selected component (if applicable):
All versions of QLandkarte are affected

How reproducible:
Always

Steps to Reproduce:
1. Launch QLandkarte
2. Try to open any Garmin IMG file, e.g. one loaded from the web
  
Actual results:
Segmentation Fault.

Expected results:
Open and display the file.

Additional info:
The apparent reason for this behaviour is the fact that QLandkarte has not been
written as a system-independent application.  Instead of using a method to load
the Garmin IMG file, it simply "maps" it into memory and then uses these
structures in memory.  This will probably work on a little-endian machine (at
least if it doesn't crash on non-aligned memory accesses), but will fail "by
design" on *any* big-endian, including, but probably not limited to, PowerPC,
Sparc, Mips and 68k.
Comment 1 Dan Horák 2007-12-27 16:21:07 EST
Issue was taken upstream.
Comment 2 Fedora Update System 2008-02-17 12:50:13 EST
qlandkarte-0.7.1-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-02-17 12:51:02 EST
qlandkarte-0.7.1-1.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-02-18 22:12:56 EST
qlandkarte-0.7.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qlandkarte'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1765
Comment 5 Fedora Update System 2008-02-28 16:39:45 EST
qlandkarte-0.7.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-02-28 16:44:25 EST
qlandkarte-0.7.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.